kio Library: KURLRequesterDlg Class Reference (kio Library)

| # kio Library API Documentation
Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Namespaces | Source Files

# KURLRequesterDlg Class Reference

Dialog in which a user can enter a filename or url. Simple dialog to enter a filename/url. More...

`#include <kurlrequesterdlg.h>`

Inheritance diagram for KURLRequesterDlg:

[legend]
Collaboration diagram for KURLRequesterDlg:

[legend]
List of all members.

## Public Member Functions
| KURLRequesterDlg (const QString &url, QWidget *parent, const char *name, bool modal=true)
| KURLRequesterDlg (const QString &url, const QString &text, QWidget *parent, const char *name, bool modal=true)
| ~KURLRequesterDlg ()
KURL | selectedURL () const
KFileDialog * | fileDialog ()
KURLRequester * | urlRequester ()
## Static Public Member Functions
static KURL | getURL (const QString &url=QString::null, QWidget *parent=0, const QString &caption=QString::null)

## Detailed Description

Dialog in which a user can enter a filename or url. Simple dialog to enter a filename/url.

It is a dialog encapsulating KURLRequester. The API is derived from KFileDialog.

Author:
  Wilco Greven <greven@kde.org>

Definition at line 38 of file kurlrequesterdlg.h.

## Constructor & Destructor Documentation

KURLRequesterDlg::KURLRequesterDlg | ( | const QString & | url,
|  | QWidget * | parent,
|  | const char * | name,
|  | bool | modal = `true`
| ) |

  | Constructs a KURLRequesterDlg. Parameters:
  | url | The url of the directory to start in. Use QString::null to start in the current working directory, or the last directory where a file has been selected.
  | modal | Specifies whether the dialog should be opened as modal or not.
Definition at line 42 of file kurlrequesterdlg.cpp.

KURLRequesterDlg::KURLRequesterDlg | ( | const QString & | url,
|  | const QString & | text,
|  | QWidget * | parent,
|  | const char * | name,
|  | bool | modal = `true`
| ) |

  | Constructs a KURLRequesterDlg. Parameters:
  | url | The url of the directory to start in. Use QString::null to start in the current working directory, or the last directory where a file has been selected.
  | text | Text of the label
  | modal | Specifies whether the dialog should be opened as modal or not.
Definition at line 50 of file kurlrequesterdlg.cpp.

KURLRequesterDlg::~KURLRequesterDlg | ( |  | ) |

| Destructs the dialog. Definition at line 57 of file kurlrequesterdlg.cpp.

## Member Function Documentation

KURL KURLRequesterDlg::selectedURL | ( |  | ) | const

| Returns the fully qualified filename. Definition at line 98 of file kurlrequesterdlg.cpp. References KURL::fromPathOrURL(), QDialog::result(), and KURLRequester::url. Referenced by getURL().

KURL KURLRequesterDlg::getURL | ( | const QString & | url = `QString::null`,
|  | QWidget * | parent = `0`,
|  | const QString & | caption = `QString::null`
| ) | `[static]`

  | Creates a modal dialog, executes it and returns the selected URL. Parameters:
  | url | This specifies the initial path of the input line.
  | parent | The widget the dialog will be centered on initially.
Definition at line 107 of file kurlrequesterdlg.cpp. References KRecentDocument::add(), QDialog::exec(), KURL::isValid(), selectedURL(), and KDialog::setCaption().

KFileDialog * KURLRequesterDlg::fileDialog | ( |  | ) |

| Returns a pointer to the file dialog used by the KURLRequester. Definition at line 123 of file kurlrequesterdlg.cpp. References KURLRequester::fileDialog().

KURLRequester * KURLRequesterDlg::urlRequester | ( |  | ) |

| Returns a pointer to the KURLRequester. Definition at line 128 of file kurlrequesterdlg.cpp.

The documentation for this class was generated from the following files:

- kurlrequesterdlg.h
- kurlrequesterdlg.cpp

This file is part of the documentation for kio Library Version 3.4.1.
Documentation copyright © 1996-2004 the KDE developers.
Generated on Sat Jun 11 20:25:48 2005 by doxygen 1.4.1 written by Dimitri van Heesch, © 1997-2003